/* sdl-freetype, a text rendering library for SDL.
 * Copyright (C) 2007 luojinghua <sunmoon1997@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it either under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation
 * (the "LGPL") or, at your option, under the terms of the Mozilla
 * Public License Version 1.1 (the "MPL"). If you do not alter this
 * notice, a recipient may use your version of this file under either
 * the MPL or the LGPL.
 *
 * You should have received a copy of the LGPL along with this library
 * in the file COPYING-LGPL-2.1; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * You should have received a copy of the MPL along with this library
 * in the file COPYING-MPL-1.1
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY
 * OF ANY KIND, either express or implied. See the LGPL or the MPL for
 * the specific language governing rights and limitations.
 *
 * THANKS FOR ALL CAIRO AUTHORS, MOST OF IDEAS AND IMPLEMENT DTAILS ARE
 * STOLEN FROM CAIRO.
 *
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "sdl-freetype-error.h"

const char *
sdl_freetype_strerror (sdl_freetype_error_t error)
{
    switch (error) {
    case SDL_FREETYPE_ERR_OK:
        return "ok";
    case SDL_FREETYPE_ERR_UNKNOWN:
        return "unknown error";
    case SDL_FREETYPE_ERR_INVALID_VALUE:
        return "invalid value";
    case SDL_FREETYPE_ERR_OUT_OF_MEMORY:
        return "out of memory";
    case SDL_FREETYPE_ERR_OUT_OF_RESOURCES:
        return "out of resources";
    case SDL_FREETYPE_ERR_NOT_FOUND:
        return "specified value is not found";
    case SDL_FREETYPE_ERR_NOT_IMPLEMENTED:
        return "request feature is not implemtented";
    case SDL_FREETYPE_ERR_FT:
        return "error in freetype";
    case SDL_FREETYPE_ERR_LAST:
    default:
        break;
    }

    return "unknown error code";
}
