/* sdl-freetype, a text rendering library for SDL.
 * Copyright (C) 2006 luojinghua <sunmoon1997@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it either under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation
 * (the "LGPL") or, at your option, under the terms of the Mozilla
 * Public License Version 1.1 (the "MPL"). If you do not alter this
 * notice, a recipient may use your version of this file under either
 * the MPL or the LGPL.
 *
 * You should have received a copy of the LGPL along with this library
 * in the file COPYING-LGPL-2.1; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * You should have received a copy of the MPL along with this library
 * in the file COPYING-MPL-1.1
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY
 * OF ANY KIND, either express or implied. See the LGPL or the MPL for
 * the specific language governing rights and limitations.
 *
 * THANKS FOR ALL CAIRO AUTHORS, MOST OF IDEAS AND IMPLEMENT DTAILS ARE
 * STOLEN FROM CAIRO.
 *
 */
#ifndef SDL_FREETYPE_UTILS_H
#define SDL_FREETYPE_UTILS_H

#include <ft2build.h>
#include FT_FREETYPE_H

#ifdef __cplusplus
extern "C" {
#endif

int
sdl_freetype_utf8_strlen (const char * utf8, int len);

int
sdl_freetype_utf8_to_ucs4 (const char * utf8, int len, FT_Int32 ** retucs4);

int
sdl_freetype_utf16_to_ucs4 (const short * utf16, int len, FT_Int32 ** retucs4);

int
sdl_freetype_lround(double d);

sdl_freetype_fixed_t
sdl_freetype_fixed_from_double(double d);

sdl_freetype_fixed_t
sdl_freetype_fixed_from_26_6 (FT_Int32 i);

sdl_freetype_fixed_t
sdl_freetype_fixed_from_integer (int f);

double
sdl_freetype_fixed_to_double (sdl_freetype_fixed_t f);

int
sdl_freetype_fixed_is_integer (sdl_freetype_fixed_t f);

int
sdl_freetype_fixed_integer (sdl_freetype_fixed_t f);

int
sdl_freetype_fixed_round (sdl_freetype_fixed_t f);

int
sdl_freetype_fixed_floor (sdl_freetype_fixed_t f);

int
sdl_freetype_fixed_ceil (sdl_freetype_fixed_t f);

void
sdl_freetype_text_extents_from_fixed (sdl_freetype_text_extents_t * extents,
                                      sdl_freetype_text_fixed_extents_t * fixed);

#ifdef __cplusplus
}
#endif

#endif
